package com.diegocayo.organizame.domain.usecase

import com.diegocayo.organizame.domain.model.Subject
import com.diegocayo.organizame.domain.repository.SubjectRepository
import javax.inject.Inject

class DeleteSubjectUseCase @Inject constructor(
    private val repository: SubjectRepository
) {
    suspend operator fun invoke(subject: Subject) = repository.deleteSubject(subject)
} 